Subject: Re: [PATCH 00/53] object_id part 8

From: Brandon Williams <[email-masked]>
Date: Mon, 24 Apr 2017 09:08:30 -0700

On 04/23, brian m. carlson wrote:
> This is the eighth series of patches to convert unsigned char [20] to
> struct object_id.  This series converts lookup_commit, lookup_blob,
> lookup_tree, lookup_tag, and finally parse_object to struct object_id.
> 
> A small number of functions have temporaries inserted during the
> conversion in order to allow conversion of functions that still need to
> take unsigned char *; they are removed either later in the series or
> will be in a future series.
> 
> This series can be fetched from the object-id-part8 branch from either
> of the follwing:
> 
> https://github.com/bk2204/git
> https://git.crustytoothpaste.net/git/bmc/git.git

I still have a series to convert the diff logic to using object_id.
I'll rebase it against this change and wait to send it out once this
topic has been reviewed and is stable (hopefully it won't require many
iterations).

-- 
Brandon Williams